import { MetriportMedicalApi } from "@metriport/api-sdk";const metriport = new MetriportMedicalApi("YOUR_API_KEY");const metadata = { youCan: "putAny", stringKeyValue: "pairsHere",};const status = await metriport.startBulkGetDocumentUrl( "018a80c4-292a-7486-a1234-76yuhe23yu14", metadata);
When executed, this endpoint triggers a process to generate all download URLs for a patient’s documents.
This is an asynchronous process, and the status is returned in the response to the original request.Initially, the status will be processing, and when the process is finished, the status will be updated to
completed or failed.Once completed, a webhook request will be sent your configured URL
containing the document download URLs. The URL will be valid for 60 minutes after which it will expire.Webhook message type - see the respective section on the webhooks page
for more details:
medical.document-bulk-download-urls: list of download urls for a patient’s documents.
If you trigger this endpoint again while the process is still running, you will get a response
that reflects the current progress. Essentially, only a single bulk URL generation process will be
running for a patient at any given time.
Metadata holds a record of up to 50 custom string key-value pairs. Key names can be up to 40
characters long and values up to 500 characters long. You may use this to attach whatever metadata
is relevant for your business use case - for example, external IDs. This metadata will be returned
in the webhook response.
import { MetriportMedicalApi } from "@metriport/api-sdk";const metriport = new MetriportMedicalApi("YOUR_API_KEY");const metadata = { youCan: "putAny", stringKeyValue: "pairsHere",};const status = await metriport.startBulkGetDocumentUrl( "018a80c4-292a-7486-a1234-76yuhe23yu14", metadata);
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Metriport","colors":{"primary":"#748DF0","light":"#ADBCF6","dark":"#4958A9"},"logo":{"light":"https://mintcdn.com/metriport/01VxYc4hqAqnMppL/logo/light.png?fit=max\u0026auto=format\u0026n=01VxYc4hqAqnMppL\u0026q=85\u0026s=2d77665a60a65f66a47c54743efe5991","dark":"https://mintcdn.com/metriport/01VxYc4hqAqnMppL/logo/dark.png?fit=max\u0026auto=format\u0026n=01VxYc4hqAqnMppL\u0026q=85\u0026s=bbf6cd87b67cdcc43e9a7734228493fc"},"favicon":"https://mintcdn.com/metriport/01VxYc4hqAqnMppL/favicon.png?fit=max\u0026auto=format\u0026n=01VxYc4hqAqnMppL\u0026q=85\u0026s=7b574050c31d893e711bdb146827de87","api":{"mdx":{"auth":{"method":"key","name":"x-api-key"},"server":["https://api.sandbox.metriport.com","https://api.metriport.com"]}},"navbar":{"links":[{"href":"mailto:contact@metriport.com","label":"Contact Us"},{"href":"https://github.com/metriport/metriport","label":"GitHub"}],"primary":{"type":"button","label":"Get Started","href":"https://dash.metriport.com"}},"footer":{"socials":{"twitter":"https://twitter.com/metriport?lang=en","linkedin":"https://www.linkedin.com/company/metriport","github":"https://github.com/metriport/metriport"}},"integrations":{"koala":{"publicApiKey":"pk_44e88c16775418837d2f3e62e3c5515ba4fb"},"posthog":{"apiKey":"phc_GZPdeCb8Sqff8gdIZkQr7G0SxZwt6QZwiQ1PeBuPLqC"}},"contextual":{"options":["copy","chatgpt","claude"],"display":"header"},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"metriport","hasAudioNarration":false,"actualSubdomain":"metriport","customDomains":["docs.metriport.com"],"gitSource":{"type":"github","owner":"metriport","repo":"metriport-private","deployBranch":"master","contentDirectory":"docs","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae23308b3b349dbd9321cb8","collectionId":"e7088500-549d-483b-86db-c91e8e761f05","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae23308b3b349dbd9321cb8"},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae23308b3b349dbd9321cb8","clientVersion":"0.0.4043","searchFilterCounts":[{"language":"default","tag":"Medical API","count":359},{"language":"default","tag":"Handling Data","count":205},{"language":"default","tag":"Data Analytics and Warehousing","count":193},{"language":"default","tag":"Core Schema","count":190},{"language":"default","tag":"FHIR","count":85},{"language":"default","tag":"API Reference","count":57},{"language":"default","tag":"Data Types","count":40},{"language":"default","tag":"Resources","count":33},{"language":"default","tag":"Patient","count":26},{"language":"default","tag":"EHR Apps","count":18}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"byok-sep-25","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"vite-origin","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-updated-9-15","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#sidebar{min-width:18.5rem}"}],"page":{"pagePath":"medical-api/api-reference/document/download-url-bulk","slug":"/medical-api/api-reference/document/download-url-bulk","pageMetadata":{"title":"Start Bulk Get Document URL","description":"Triggers a process to generate a list of download URLs for all of the patient's documents.","api":"POST /medical/v1/document/download-url/bulk","href":"/medical-api/api-reference/document/download-url-bulk"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Triggers a process to generate a list of download URLs for all of the patient’s documents.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Heading,ParamField,ResponseField,Warning}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`When executed, this endpoint triggers a process to generate all download URLs for a patient’s documents.\nThis is an asynchronous process, and the status is returned in the response to the original request.`}),`\n`,_jsxs(_components.p,{children:[`Initially, the status will be `,_jsx(_components.code,{children:`processing`}),`, and when the process is finished, the status will be updated to\n`,_jsx(_components.code,{children:`completed`}),` or `,_jsx(_components.code,{children:`failed`}),`.`]}),`\n`,_jsxs(_components.p,{children:[`Once completed, a webhook request will be sent `,_jsx(_components.a,{href:`/medical-api/api-reference/settings/post-settings`,children:`your configured URL`}),`\ncontaining the document download URLs. The URL will be valid for 60 minutes after which it will expire.`]}),`\n`,_jsxs(_components.p,{children:[`Webhook message type - see `,_jsx(_components.a,{href:`/medical-api/handling-data/webhooks-with-nq#medical-document-bulk-download-urls`,children:`the respective section on the webhooks page`}),`\nfor more details:`]}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`medical.document-bulk-download-urls`}),`: list of download urls for a patient’s documents.`]}),`\n`]}),`\n`,_jsx(Warning,{children:_jsx(_components.p,{children:`If you trigger this endpoint again while the process is still running, you will get a response\nthat reflects the current progress. Essentially, only a single bulk URL generation process will be\nrunning for a patient at any given time.`})}),`\n`,_jsx(Heading,{level:`2`,id:`query-params`,children:`Query Params`}),`\n`,_jsx(ParamField,{query:`patientId`,type:`string`,required:true,id:`param-patient-id`,children:_jsx(_components.p,{children:`The ID of the patient for which to initiate the bulk URL generation.`})}),`\n`,_jsx(Heading,{level:`2`,id:`body`,children:`Body`}),`\n`,_jsx(ParamField,{body:`metadata`,type:`object`,optional:true,id:`param-metadata`,children:_jsx(_components.p,{children:`Metadata holds a record of up to 50 custom string key-value pairs. Key names can be up to 40\ncharacters long and values up to 500 characters long. You may use this to attach whatever metadata\nis relevant for your business use case - for example, external IDs. This metadata will be returned\nin the webhook response.`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`6`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"metadata\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"youCan\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"putAny\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"stringKeyValue\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"pairsHere\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`status`,type:`string`,required:true,id:`param-status`,children:_jsxs(_components.p,{children:[`The status of the URL generation process - can be `,_jsx(_components.code,{children:`processing`}),`, `,_jsx(_components.code,{children:`completed`}),`, or `,_jsx(_components.code,{children:`failed`}),`.`]})}),`\n`,_jsx(ResponseField,{name:`requestId`,type:`string`,optional:true,id:`param-request-id`,children:_jsx(_components.p,{children:`The ID of your request. This can be referenced for support.`})}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`4`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`4`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"processing\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"requestId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"018c1e9d-dfce-70cb-8c0e-edfbbd2a7f5f\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Start Bulk Get Document URL","description":"Triggers a process to generate a list of download URLs for all of the patient's documents.","api":"POST /medical/v1/document/download-url/bulk","href":"/medical-api/api-reference/document/download-url-bulk"}}},"mdxSourceWithNoJs":null,"noJsSplices":[[326,330,"Example,ResponseFiel"],[522,537,"Example)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingM"],[6950,7378,",`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Metriport SDK`,numberOfLines:`14`,language:`javascript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`javascript`,children:_jsxs(_components.code,{language:`javascript`,numberOfLines:`14`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`MetriportMedicalApi`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` } `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`from`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"@metriport/api-sdk\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` metriport`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:` MetriportMedicalApi`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"YOUR_API_KEY\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` metadata`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` youCan:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"putAny\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` stringKeyValue:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"pairsHere\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`};`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`const`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4FC1FF`},children:` status`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` await`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` metriport`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`.`}),_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`startBulkGetDocumentUrl`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"018a80c4-292a-7486-a1234-76yuhe23yu14\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:` metadata`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`);`})}),`\n`,_jsx(_components.span,{className:`line`}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}"]]},"mdxExtracts":{"tableOfContents":[{"title":"Query Params","slug":"query-params","depth":2,"children":[]},{"title":"Body","slug":"body","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{"response":{"type":"ResponseExample","children":[{"filename":"Metriport SDK","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"javascript\">\u003ccode language=\"javascript\" numberOfLines=\"14\">\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">import\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> { \u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\">MetriportMedicalApi\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> } \u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\">from\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"@metriport/api-sdk\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">;\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> metriport\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\"> new\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\"> MetriportMedicalApi\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"YOUR_API_KEY\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> metadata\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> youCan:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"putAny\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> stringKeyValue:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"pairsHere\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">};\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#CF222E;--shiki-dark:#569CD6\">const\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#4FC1FF\"> status\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D4D4D4\"> =\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#C586C0\"> await\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> metriport\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">.\u003c/span>\u003cspan style=\"color:#8250DF;--shiki-dark:#DCDCAA\">startBulkGetDocumentUrl\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">(\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"018a80c4-292a-7486-a1234-76yuhe23yu14\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#9CDCFE\"> metadata\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">);\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Start Bulk Get Document URL","path":"/medical/v1/document/download-url/bulk","servers":[{"url":"https://api.sandbox.metriport.com"},{"url":"https://api.metriport.com"}],"method":"post","request":{"security":[{"title":"API Key Auth","parameters":{"header":{"x-api-key":{"type":"apiKey"}},"query":{},"cookie":{}}}],"parameters":{"query":{"patientId":{"schema":[{"type":"string","description":"The ID of the patient for which to initiate the bulk URL generation.","required":true}]}},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"metadata":[{"type":"object","properties":{},"description":"Metadata holds a record of up to 50 custom string key-value pairs. Key names can be up to 40 characters long and values up to 500 characters long. You may use this to attach whatever metadata is relevant for your business use case - for example, external IDs. This metadata will be returned in the webhook response."}]}}],"examples":{"example":{"value":{"metadata":{}}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"status":[{"type":"string","description":"The status of the URL generation process - can be `processing` , `completed` , or `failed` .","required":true}],"requestId":[{"type":"string","description":"The ID of your request. This can be referenced for support."}]}}],"examples":{"example":{"value":{"status":"\u003cstring>","requestId":"\u003cstring>"}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"metriport","siteName":"Metriport","title":"Start Bulk Get Document URL - Metriport","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-06-18T15:43:24.869Z","originalFileLocation":"medical-api/api-reference/document/download-url-bulk.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Triggers a process to generate a list of download URLs for all of the patient\u0026#x27;s documents.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Metriport\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Start Bulk Get Document URL - Metriport\">\u003cmeta data-mint-head property=\"og:description\" content=\"Triggers a process to generate a list of download URLs for all of the patient\u0026#x27;s documents.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Metriport\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://metriport.mintlify.app/_mintlify/api/og/v2?division=Document\u0026amp;title=Start+Bulk+Get+Document+URL\u0026amp;description=Triggers+a+process+to+generate+a+list+of+download+URLs+for+all+of+the+patient%27s+documents.\u0026amp;theme=fbbeee8693315311b5c2f8b0\u0026amp;signature=1d0e7b63538cd35cb3b30f0363764146e748a9d44fce679d0185db194a99d9c0\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Start Bulk Get Document URL - Metriport\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Triggers a process to generate a list of download URLs for all of the patient\u0026#x27;s documents.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://metriport.mintlify.app/_mintlify/api/og/v2?division=Document\u0026amp;title=Start+Bulk+Get+Document+URL\u0026amp;description=Triggers+a+process+to+generate+a+list+of+download+URLs+for+all+of+the+patient%27s+documents.\u0026amp;theme=fbbeee8693315311b5c2f8b0\u0026amp;signature=1d0e7b63538cd35cb3b30f0363764146e748a9d44fce679d0185db194a99d9c0\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/metriport/KggflNpxWkeTenrR/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Metriport\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#748DF0\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/medical-api/api-reference/document/download-url-bulk.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.metriport.com/#organization\",\"name\":\"Metriport\",\"url\":\"https://docs.metriport.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/metriport/01VxYc4hqAqnMppL/logo/light.png?fit=max\u0026auto=format\u0026n=01VxYc4hqAqnMppL\u0026q=85\u0026s=2d77665a60a65f66a47c54743efe5991\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.metriport.com#website\",\"name\":\"Metriport\",\"url\":\"https://docs.metriport.com\",\"publisher\":{\"@id\":\"https://docs.metriport.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk#webpage\",\"url\":\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk\",\"name\":\"Start Bulk Get Document URL\",\"description\":\"Triggers a process to generate a list of download URLs for all of the patient's documents.\",\"dateModified\":\"2026-06-18T15:43:24.869Z\",\"isPartOf\":{\"@id\":\"https://docs.metriport.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://docs.metriport.com/medical-api/api-reference/facility/create-facility\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Document\",\"item\":\"https://docs.metriport.com/medical-api/api-reference/document/list-documents\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Start Bulk Get Document URL\",\"item\":\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk#apireference\",\"headline\":\"Start Bulk Get Document URL\",\"name\":\"Start Bulk Get Document URL\",\"description\":\"Triggers a process to generate a list of download URLs for all of the patient's documents.\",\"url\":\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk\",\"mainEntityOfPage\":{\"@id\":\"https://docs.metriport.com/medical-api/api-reference/document/download-url-bulk#webpage\"},\"dateModified\":\"2026-06-18T15:43:24.869Z\",\"publisher\":{\"@id\":\"https://docs.metriport.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.metriport.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Metriport\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Metriport","nav":{"global":null,"tabs":[{"tab":"Medical API","groups":[{"group":"Getting Started","pages":[{"title":"Quickstart","icon":"rocket","href":"/medical-api/getting-started/quickstart"},{"title":"API Keys","icon":"key","href":"/medical-api/getting-started/api-keys"},{"title":"Implementing Webhooks","icon":"circle-nodes","href":"/medical-api/getting-started/webhooks"},{"title":"Sandbox Mode","icon":"box-open","href":"/medical-api/getting-started/sandbox"},{"title":"Message Delivery","icon":"file-export","href":"/medical-api/getting-started/message-delivery"},{"title":"Individual Access (IAS)","icon":"user-check","href":"/medical-api/getting-started/ias"},{"title":"Embedding Metriport","icon":"window-restore","href":"/medical-api/getting-started/embedding"}]},{"group":"API Reference","pages":[{"group":"Facility","icon":"house-medical","pages":[{"title":"Create Facility","api":"POST /medical/v1/facility","href":"/medical-api/api-reference/facility/create-facility"},{"title":"Get Facility","api":"GET /medical/v1/facility/{id}","href":"/medical-api/api-reference/facility/get-facility"},{"title":"Update Facility","api":"PUT /medical/v1/facility/{id}","href":"/medical-api/api-reference/facility/update-facility"},{"title":"List Facilities","api":"GET /medical/v1/facility","href":"/medical-api/api-reference/facility/list-facilities"},{"title":"Delete Facility","api":"DELETE /medical/v1/facility/{id}","href":"/medical-api/api-reference/facility/delete-facility"}]},{"group":"Patient","icon":"person","pages":[{"title":"Create Patient","api":"POST /medical/v1/patient","href":"/medical-api/api-reference/patient/create-patient"},{"title":"Get Patient","api":"GET /medical/v1/patient/{id}","href":"/medical-api/api-reference/patient/get-patient"},{"title":"Get Patient by External ID","api":"GET /medical/v1/patient/external-id","href":"/medical-api/api-reference/patient/get-patient-external-id"},{"title":"Update Patient","api":"PUT /medical/v1/patient/{id}","href":"/medical-api/api-reference/patient/update-patient"},{"title":"Match Patient","api":"POST /medical/v1/patient/match","href":"/medical-api/api-reference/patient/match-patient"},{"title":"Delete Patient","api":"DELETE /medical/v1/patient/{id}","href":"/medical-api/api-reference/patient/delete-patient"},{"title":"List Patients","api":"GET /medical/v1/patient","href":"/medical-api/api-reference/patient/list-patients"},{"title":"Sync Patient","api":"POST /medical/v1/patient/:id/external/sync","href":"/medical-api/api-reference/patient/create-patient-external-sync"},{"title":"HIE Opt-Out","api":"PUT /medical/v1/patient/:id/hie-opt-out","href":"/medical-api/api-reference/patient/hie-opt-out"},{"title":"Treatment Relationship","api":"PUT /medical/v1/patient/:id/treatment-relationship","href":"/medical-api/api-reference/patient/treatment-relationship"},{"title":"Bulk Patient Create","api":"POST /medical/v1/patient/bulk","href":"/medical-api/api-reference/patient/bulk-create-patient"},{"title":"Add Patient to Cohorts","api":"POST /medical/v1/patient/{id}/cohort","href":"/medical-api/api-reference/patient/add-patient-to-cohorts"},{"title":"List Patient Cohorts","api":"GET /medical/v1/patient/{id}/cohort","href":"/medical-api/api-reference/patient/list-cohorts-for-patient"},{"title":"Get Patient Facilities","api":"GET /medical/v1/patient/{id}/facility","href":"/medical-api/api-reference/patient/get-patient-facilities"},{"title":"Set Patient Facilities","api":"POST /medical/v1/patient/{id}/facility","href":"/medical-api/api-reference/patient/set-patient-facilities"}]},{"group":"Token","icon":"id-badge","pages":[{"title":"Create Embed Token","api":"POST /medical/v1/token/embed","href":"/medical-api/api-reference/token/create-embed-token"}]},{"group":"IAS","icon":"fingerprint","pages":[{"title":"Create AAL2 Challenge","api":"POST /medical/v1/identity/aal2/challenge","href":"/medical-api/api-reference/ias/create-aal2-challenge"},{"title":"Create Identity Session","api":"POST /medical/v1/identity/session","href":"/medical-api/api-reference/ias/create-identity-session"}]},{"group":"Cohort","icon":"people-group","pages":[{"title":"Get Cohort","api":"GET /medical/v1/cohort/{id}","href":"/medical-api/api-reference/cohort/get-cohort"},{"title":"Update Cohort","api":"PATCH /medical/v1/cohort/{id}","href":"/medical-api/api-reference/cohort/update-cohort"},{"title":"Delete Cohort","api":"DELETE /medical/v1/cohort/{id}","href":"/medical-api/api-reference/cohort/delete-cohort"},{"title":"List Cohorts","api":"GET /medical/v1/cohort","href":"/medical-api/api-reference/cohort/list-cohorts"},{"title":"Add Patients to Cohort","api":"POST /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/add-patients-to-cohort"},{"title":"List Patients in Cohort","api":"GET /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/list-patients-in-cohort"},{"title":"Remove Patients from Cohort","api":"DELETE /medical/v1/cohort/{id}/patient","href":"/medical-api/api-reference/cohort/remove-patients-from-cohort"}]},{"group":"Message","icon":"file-export","pages":[{"title":"Send Message","api":"POST /medical/v1/message","href":"/medical-api/api-reference/message/send-message"},{"title":"List Messages","api":"GET /medical/v1/message","href":"/medical-api/api-reference/message/list-messages"},{"title":"Get Message Status","api":"GET /medical/v1/message/{id}","href":"/medical-api/api-reference/message/get-message-status"}]},{"group":"Network","icon":"network-wired","pages":[{"title":"List Network Entries","api":"GET /medical/v1/network-entry","href":"/medical-api/api-reference/network/list-network-entries"},{"title":"Start Network Query","api":"POST /medical/v1/network/query","href":"/medical-api/api-reference/network/start-network-query"},{"title":"Get Network Query Status","api":"GET /medical/v1/network/query/{requestId}","href":"/medical-api/api-reference/network/get-network-query"}]},{"group":"FHIR","icon":"fire","pages":[{"title":"Start Consolidated Data Query","api":"POST /medical/v1/patient/{id}/consolidated/query","href":"/medical-api/api-reference/fhir/consolidated-data-query-post"},{"title":"Get Single Consolidated Data Query Status","api":"GET /medical/v1/patient/{patientId}/consolidated/query/{requestId}","href":"/medical-api/api-reference/fhir/consolidated-data-query-get-single"},{"title":"Get Consolidated Data Query Status","api":"GET /medical/v1/patient/{patientId}/consolidated/query","href":"/medical-api/api-reference/fhir/consolidated-data-query-get"},{"title":"Count Patient Data","api":"GET /medical/v1/patient/{id}/consolidated/count","href":"/medical-api/api-reference/fhir/consolidated-data-count"},{"title":"Create Patient's Consolidated Data","api":"PUT /medical/v1/patient/{id}/consolidated","href":"/medical-api/api-reference/fhir/create-patient-consolidated"},{"title":"Get Medical Record Summary Status","api":"GET /patient/:id/medical-record-status","href":"/medical-api/api-reference/fhir/get-medical-record-summary-status"},{"title":"Get Medical Record Summary","api":"GET /patient/:id/medical-record","href":"/medical-api/api-reference/fhir/get-medical-record-summary"}]},{"group":"Document","icon":"file-medical","pages":[{"title":"List Documents","api":"GET /medical/v1/document","href":"/medical-api/api-reference/document/list-documents"},{"title":"Get Document URL","api":"GET /medical/v1/document/download-url","href":"/medical-api/api-reference/document/get-document"},{"title":"Upload Document","description":"Creates a DocumentReference and returns its ID and a URL to use for a medical document upload to our servers.","api":"POST /medical/v1/document/upload","href":"/medical-api/api-reference/document/post-upload-url"},{"title":"Start Bulk Get Document URL","api":"POST /medical/v1/document/download-url/bulk","href":"/medical-api/api-reference/document/download-url-bulk"}]},{"group":"Settings","icon":"gear","pages":[{"title":"Get Settings","description":"Gets the settings for your account.","api":"GET /settings","href":"/medical-api/api-reference/settings/get-settings"},{"title":"Update Settings","api":"POST /settings","href":"/medical-api/api-reference/settings/post-settings"},{"title":"Get Webhook status","api":"GET /settings/webhook","href":"/medical-api/api-reference/settings/get-webhook"},{"title":"List Webhook requests","api":"GET /settings/webhook/request","href":"/medical-api/api-reference/settings/list-webhook-requests"},{"title":"Retry a Webhook request","api":"POST /settings/webhook/request/:id/retry","href":"/medical-api/api-reference/settings/retry-webhook-request"},{"title":"Retry failed Webhook requests","api":"POST /settings/webhook/retry","href":"/medical-api/api-reference/settings/retry-webhook"}]},{"group":"Analytics","icon":"chart-mixed","pages":[{"group":"Care Gaps","pages":[{"title":"List Care Gaps","api":"GET /medical/v1/care-gaps","href":"/medical-api/api-reference/analytics/care-gaps/list-care-gaps"},{"title":"List Patient Care Gaps","api":"GET /medical/v1/patient/{patientId}/care-gaps","href":"/medical-api/api-reference/analytics/care-gaps/list-patient-care-gaps"},{"title":"Get Care Gap","api":"GET /medical/v1/care-gaps/{measureReportId}","href":"/medical-api/api-reference/analytics/care-gaps/get-care-gap"}]},{"group":"Suspects","pages":[{"title":"List Patient Suspects","api":"GET /medical/v1/patient/{patientId}/suspects","href":"/medical-api/api-reference/analytics/suspects/list-patient-suspects"}]}]}]},{"group":"Handling Data","pages":[{"title":"AI Summaries","icon":"robot","href":"/medical-api/handling-data/ai-summaries"},{"title":"Medical Record Summary","icon":"clipboard-list","href":"/medical-api/handling-data/medical-record-summary"},{"title":"Receiving Webhooks","icon":"paper-plane","href":"/medical-api/handling-data/webhooks-with-nq"},{"title":"Clinical Event Alerts","sidebarTitle":"Clinical Event Alerts","icon":"bell","hidden":true,"href":"/medical-api/handling-data/clinical-event-alerts"},{"group":"Patient-Monitoring","icon":"wifi","pages":[{"title":"Patient Monitoring","sidebarTitle":"General","icon":"ocdIndent","href":"/medical-api/handling-data/patient-monitoring"},{"title":"Real-time Patient Notifications","icon":"ocdIndent","href":"/medical-api/handling-data/realtime-patient-notifications"},{"title":"Patient Encounter Bundle","icon":"ocdIndent","href":"/medical-api/handling-data/patient-encounter-bundle"},{"title":"Scheduled Queries","icon":"ocdIndent","href":"/medical-api/handling-data/scheduled-queries"}]},{"title":"Cohorts","sidebarTitle":"Cohorts (patient groups)","icon":"people-group","href":"/medical-api/handling-data/cohorts"},{"group":"Data Analytics and Warehousing","icon":"database","pages":[{"title":"General","icon":"n/a","href":"/medical-api/handling-data/data-analytics"},{"group":"Core Schema","icon":"n/a","pages":[{"title":"Tables by Resource","icon":"n/a","href":"/medical-api/handling-data/schema-v100/README"},{"group":"AllergyIntolerance","icon":"n/a","pages":[{"title":"allergyintolerance","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/base"},{"title":"allergyintolerance_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/code_coding"},{"title":"allergyintolerance_clinicalstatus_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/clinicalstatus_coding"},{"title":"allergyintolerance_reaction","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/reaction"},{"title":"allergyintolerance_reaction_substance_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/reaction_substance_coding"},{"title":"allergyintolerance_reaction_manifestation","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/reaction_manifestation"},{"title":"allergyintolerance_reaction_manifestation_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/reaction_manifestation_coding"},{"title":"allergyintolerance_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/extension"},{"title":"allergyintolerance_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/allergyintolerance/extension_vcc_coding"}]},{"title":"binary","sidebarTitle":"Binary","icon":"n/a","href":"/medical-api/handling-data/schema-v100/binary"},{"group":"CarePlan","icon":"n/a","pages":[{"title":"careplan","icon":"n/a","href":"/medical-api/handling-data/schema-v100/careplan/base"},{"title":"careplan_category","icon":"n/a","href":"/medical-api/handling-data/schema-v100/careplan/category"},{"title":"careplan_category_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/careplan/category_coding"},{"title":"careplan_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/careplan/extension"},{"title":"careplan_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/careplan/extension_vcc_coding"},{"title":"careplan_activity","icon":"n/a","href":"/medical-api/handling-data/schema-v100/careplan/activity"},{"title":"careplan_activity_detail_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/careplan/activity_detail_code_coding"},{"title":"careplan_activity_detail_performer","icon":"n/a","href":"/medical-api/handling-data/schema-v100/careplan/activity_detail_performer"}]},{"group":"Communication","icon":"n/a","pages":[{"title":"communication","icon":"n/a","href":"/medical-api/handling-data/schema-v100/communication/base"},{"title":"communication_category","icon":"n/a","href":"/medical-api/handling-data/schema-v100/communication/category"},{"title":"communication_category_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/communication/category_coding"},{"title":"communication_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/communication/extension"},{"title":"communication_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/communication/extension_vcc_coding"}]},{"group":"Composition","icon":"n/a","pages":[{"title":"composition","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/base"},{"title":"composition_type_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/type_coding"},{"title":"composition_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/extension"},{"title":"composition_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/extension_vcc_coding"},{"title":"composition_section","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/section"},{"title":"composition_section_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/section_code_coding"},{"title":"composition_section_entry","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/section_entry"},{"title":"composition_attester","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/attester"},{"title":"composition_event","icon":"n/a","href":"/medical-api/handling-data/schema-v100/composition/event"}]},{"group":"Condition","icon":"n/a","pages":[{"title":"condition","icon":"n/a","href":"/medical-api/handling-data/schema-v100/condition/base"},{"title":"condition_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/condition/code_coding"},{"title":"condition_clinicalstatus_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/condition/clinicalstatus_coding"},{"title":"condition_category","icon":"n/a","href":"/medical-api/handling-data/schema-v100/condition/category"},{"title":"condition_category_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/condition/category_coding"},{"title":"condition_verificationstatus_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/condition/verificationstatus_coding"},{"title":"condition_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/condition/extension"},{"title":"condition_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/condition/extension_vcc_coding"}]},{"group":"Consent","icon":"n/a","pages":[{"title":"consent","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/base"},{"title":"consent_scope_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/scope_coding"},{"title":"consent_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/extension"},{"title":"consent_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/extension_vcc_coding"},{"title":"consent_category","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/category"},{"title":"consent_category_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/category_coding"},{"title":"consent_policyrule_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/policyrule_coding"},{"title":"consent_provision_code","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/provision_code"},{"title":"consent_provision_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/consent/provision_code_coding"}]},{"group":"Coverage","icon":"n/a","pages":[{"title":"coverage","icon":"n/a","href":"/medical-api/handling-data/schema-v100/coverage/base"},{"title":"coverage_type_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/coverage/type_coding"},{"title":"coverage_relationship_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/coverage/relationship_coding"},{"title":"coverage_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/coverage/extension"},{"title":"coverage_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/coverage/extension_vcc_coding"},{"title":"coverage_class","icon":"n/a","href":"/medical-api/handling-data/schema-v100/coverage/class"},{"title":"coverage_class_type_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/coverage/class_type_coding"}]},{"group":"Device","icon":"n/a","pages":[{"title":"device","icon":"n/a","href":"/medical-api/handling-data/schema-v100/device/base"},{"title":"device_type_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/device/type_coding"},{"title":"device_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/device/extension"},{"title":"device_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/device/extension_vcc_coding"},{"title":"device_version","icon":"n/a","href":"/medical-api/handling-data/schema-v100/device/version"}]},{"group":"DiagnosticReport","icon":"n/a","pages":[{"title":"diagnosticreport","icon":"n/a","href":"/medical-api/handling-data/schema-v100/diagnosticreport/base"},{"title":"diagnosticreport_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/diagnosticreport/code_coding"},{"title":"diagnosticreport_category","icon":"n/a","href":"/medical-api/handling-data/schema-v100/diagnosticreport/category"},{"title":"diagnosticreport_category_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/diagnosticreport/category_coding"},{"title":"diagnosticreport_presentedform","icon":"n/a","href":"/medical-api/handling-data/schema-v100/diagnosticreport/presentedform"},{"title":"diagnosticreport_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/diagnosticreport/extension"},{"title":"diagnosticreport_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/diagnosticreport/extension_vcc_coding"}]},{"group":"DocumentReference","icon":"n/a","pages":[{"title":"documentreference","icon":"n/a","href":"/medical-api/handling-data/schema-v100/documentreference/base"},{"title":"documentreference_type_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/documentreference/type_coding"},{"title":"documentreference_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/documentreference/extension"},{"title":"documentreference_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/documentreference/extension_vcc_coding"},{"title":"documentreference_content","icon":"n/a","href":"/medical-api/handling-data/schema-v100/documentreference/content"}]},{"group":"Encounter","icon":"n/a","pages":[{"title":"encounter","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/base"},{"title":"encounter_type","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/type"},{"title":"encounter_type_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/type_coding"},{"title":"encounter_hospitalization_dischargedisposition_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/hospitalization_dischargedisposition_coding"},{"title":"encounter_priority_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/priority_coding"},{"title":"encounter_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/extension"},{"title":"encounter_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/extension_vcc_coding"},{"title":"encounter_reasoncode","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/reasoncode"},{"title":"encounter_reasoncode_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/reasoncode_coding"},{"title":"encounter_diagnosis","icon":"n/a","href":"/medical-api/handling-data/schema-v100/encounter/diagnosis"}]},{"group":"FamilyMemberHistory","icon":"n/a","pages":[{"title":"familymemberhistory","icon":"n/a","href":"/medical-api/handling-data/schema-v100/familymemberhistory/base"},{"title":"familymemberhistory_relationship_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/familymemberhistory/relationship_coding"},{"title":"familymemberhistory_sex_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/familymemberhistory/sex_coding"},{"title":"familymemberhistory_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/familymemberhistory/extension"},{"title":"familymemberhistory_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/familymemberhistory/extension_vcc_coding"},{"title":"familymemberhistory_condition","icon":"n/a","href":"/medical-api/handling-data/schema-v100/familymemberhistory/condition"},{"title":"familymemberhistory_condition_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/familymemberhistory/condition_code_coding"}]},{"group":"Goal","icon":"n/a","pages":[{"title":"goal","icon":"n/a","href":"/medical-api/handling-data/schema-v100/goal/base"},{"title":"goal_description_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/goal/description_coding"},{"title":"goal_priority_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/goal/priority_coding"},{"title":"goal_target","icon":"n/a","href":"/medical-api/handling-data/schema-v100/goal/target"},{"title":"goal_target_measure_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/goal/target_measure_coding"},{"title":"goal_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/goal/extension"},{"title":"goal_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/goal/extension_vcc_coding"}]},{"group":"Immunization","icon":"n/a","pages":[{"title":"immunization","icon":"n/a","href":"/medical-api/handling-data/schema-v100/immunization/base"},{"title":"immunization_vaccinecode_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/immunization/vaccinecode_coding"},{"title":"immunization_statusreason_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/immunization/statusreason_coding"},{"title":"immunization_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/immunization/extension"},{"title":"immunization_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/immunization/extension_vcc_coding"},{"title":"immunization_route_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/immunization/route_coding"},{"title":"immunization_site_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/immunization/site_coding"}]},{"group":"Location","icon":"n/a","pages":[{"title":"location","icon":"n/a","href":"/medical-api/handling-data/schema-v100/location/base"},{"title":"location_type","icon":"n/a","href":"/medical-api/handling-data/schema-v100/location/type"},{"title":"location_type_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/location/type_coding"},{"title":"location_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/location/extension"},{"title":"location_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/location/extension_vcc_coding"},{"title":"location_telecom","icon":"n/a","href":"/medical-api/handling-data/schema-v100/location/telecom"}]},{"group":"Medication","icon":"n/a","pages":[{"title":"medication","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medication/base"},{"title":"medication_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medication/code_coding"},{"title":"medication_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medication/extension"},{"title":"medication_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medication/extension_vcc_coding"}]},{"group":"MedicationAdministration","icon":"n/a","pages":[{"title":"medicationadministration","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationadministration/base"},{"title":"medicationadministration_dosage_route_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationadministration/dosage_route_coding"},{"title":"medicationadministration_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationadministration/extension"},{"title":"medicationadministration_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationadministration/extension_vcc_coding"}]},{"group":"MedicationDispense","icon":"n/a","pages":[{"title":"medicationdispense","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationdispense/base"},{"title":"medicationdispense_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationdispense/extension"},{"title":"medicationdispense_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationdispense/extension_vcc_coding"}]},{"group":"MedicationRequest","icon":"n/a","pages":[{"title":"medicationrequest","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationrequest/base"},{"title":"medicationrequest_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationrequest/extension"},{"title":"medicationrequest_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationrequest/extension_vcc_coding"}]},{"group":"MedicationStatement","icon":"n/a","pages":[{"title":"medicationstatement","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationstatement/base"},{"title":"medicationstatement_dosage","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationstatement/dosage"},{"title":"medicationstatement_dosage_doseandrate","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationstatement/dosage_doseandrate"},{"title":"medicationstatement_dosage_route_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationstatement/dosage_route_coding"},{"title":"medicationstatement_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationstatement/extension"},{"title":"medicationstatement_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/medicationstatement/extension_vcc_coding"}]},{"group":"Observation","icon":"n/a","pages":[{"title":"observation","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/base"},{"title":"observation_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/code_coding"},{"title":"observation_category","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/category"},{"title":"observation_category_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/category_coding"},{"title":"observation_bodysite_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/bodysite_coding"},{"title":"observation_interpretation","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/interpretation"},{"title":"observation_interpretation_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/interpretation_coding"},{"title":"observation_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/extension"},{"title":"observation_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/extension_vcc_coding"},{"title":"observation_referencerange","icon":"n/a","href":"/medical-api/handling-data/schema-v100/observation/referencerange"}]},{"group":"Organization","icon":"n/a","pages":[{"title":"organization","icon":"n/a","href":"/medical-api/handling-data/schema-v100/organization/base"},{"title":"organization_address","icon":"n/a","href":"/medical-api/handling-data/schema-v100/organization/address"},{"title":"organization_telecom","icon":"n/a","href":"/medical-api/handling-data/schema-v100/organization/telecom"},{"title":"organization_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/organization/extension"},{"title":"organization_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/organization/extension_vcc_coding"}]},{"group":"Patient","icon":"n/a","pages":[{"title":"patient","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/base"},{"title":"patient_identifier","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/identifier"},{"title":"patient_identifier_type_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/identifier_type_coding"},{"title":"patient_address","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/address"},{"title":"patient_name","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/name"},{"title":"patient_telecom","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/telecom"},{"title":"patient_communication","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/communication"},{"title":"patient_communication_language_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/communication_language_coding"},{"title":"patient_mapping","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/mapping"},{"title":"patient_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/extension"},{"title":"patient_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/patient/extension_vcc_coding"}]},{"group":"Practitioner","icon":"n/a","pages":[{"title":"practitioner","icon":"n/a","href":"/medical-api/handling-data/schema-v100/practitioner/base"},{"title":"practitioner_address","icon":"n/a","href":"/medical-api/handling-data/schema-v100/practitioner/address"},{"title":"practitioner_name","icon":"n/a","href":"/medical-api/handling-data/schema-v100/practitioner/name"},{"title":"practitioner_telecom","icon":"n/a","href":"/medical-api/handling-data/schema-v100/practitioner/telecom"},{"title":"practitioner_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/practitioner/extension"},{"title":"practitioner_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/practitioner/extension_vcc_coding"},{"title":"practitioner_qualification","icon":"n/a","href":"/medical-api/handling-data/schema-v100/practitioner/qualification"},{"title":"practitioner_qualification_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/practitioner/qualification_code_coding"}]},{"group":"Procedure","icon":"n/a","pages":[{"title":"procedure","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/base"},{"title":"procedure_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/code_coding"},{"title":"procedure_bodysite","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/bodysite"},{"title":"procedure_bodysite_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/bodysite_coding"},{"title":"procedure_reasoncode","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/reasoncode"},{"title":"procedure_reasoncode_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/reasoncode_coding"},{"title":"procedure_note","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/note"},{"title":"procedure_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/extension"},{"title":"procedure_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/procedure/extension_vcc_coding"}]},{"group":"RelatedPerson","icon":"n/a","pages":[{"title":"relatedperson","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/base"},{"title":"relatedperson_address","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/address"},{"title":"relatedperson_name","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/name"},{"title":"relatedperson_telecom","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/telecom"},{"title":"relatedperson_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/extension"},{"title":"relatedperson_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/extension_vcc_coding"},{"title":"relatedperson_communication","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/communication"},{"title":"relatedperson_communication_language_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/communication_language_coding"},{"title":"relatedperson_relationship","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/relationship"},{"title":"relatedperson_relationship_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/relatedperson/relationship_coding"}]},{"group":"ServiceRequest","icon":"n/a","pages":[{"title":"servicerequest","icon":"n/a","href":"/medical-api/handling-data/schema-v100/servicerequest/base"},{"title":"servicerequest_code_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/servicerequest/code_coding"},{"title":"servicerequest_extension","icon":"n/a","href":"/medical-api/handling-data/schema-v100/servicerequest/extension"},{"title":"servicerequest_extension_vcc_coding","icon":"n/a","href":"/medical-api/handling-data/schema-v100/servicerequest/extension_vcc_coding"}]},{"title":"measure_report","sidebarTitle":"MeasureReport","icon":"n/a","href":"/medical-api/handling-data/schema-v100/measure_report"},{"title":"Reference Tables","icon":"n/a","href":"/medical-api/handling-data/schema-v100/reference_tables"}]},{"title":"Care Gaps","sidebarTitle":"Care Gaps","icon":"n/a","href":"/medical-api/handling-data/care-gaps"},{"title":"Suspecting","sidebarTitle":"Suspecting","icon":"n/a","href":"/medical-api/handling-data/suspecting"}]},{"title":"Filtering data","icon":"filter","href":"/medical-api/handling-data/filters"},{"title":"Pagination","icon":"scroll","href":"/medical-api/handling-data/pagination"},{"title":"Contributing Data","icon":"hands-holding","href":"/medical-api/handling-data/contribution"},{"title":"Opting Out of Networks","icon":"plug","href":"/medical-api/handling-data/opt-out"}]},{"group":"FHIR","pages":[{"title":"FHIR Overview","icon":"book-open","href":"/medical-api/fhir/overview"},{"group":"Data Types","icon":"database","pages":[{"title":"Address","href":"/medical-api/fhir/data-types/address"},{"title":"Age","href":"/medical-api/fhir/data-types/age"},{"title":"Annotation","href":"/medical-api/fhir/data-types/annotation"},{"title":"Attachment","href":"/medical-api/fhir/data-types/attachment"},{"title":"CodeableConcept","href":"/medical-api/fhir/data-types/codeableconcept"},{"title":"Coding","href":"/medical-api/fhir/data-types/coding"},{"title":"ContactDetail","href":"/medical-api/fhir/data-types/contactdetail"},{"title":"ContactPoint","href":"/medical-api/fhir/data-types/contactpoint"},{"title":"Contributor","href":"/medical-api/fhir/data-types/contributor"},{"title":"Count","href":"/medical-api/fhir/data-types/count"},{"title":"DataRequirement","href":"/medical-api/fhir/data-types/datarequirement"},{"title":"Distance","href":"/medical-api/fhir/data-types/distance"},{"title":"Dosage","href":"/medical-api/fhir/data-types/dosage"},{"title":"Duration","href":"/medical-api/fhir/data-types/duration"},{"title":"ElementDefinition","href":"/medical-api/fhir/data-types/elementdefinition"},{"title":"Expression","href":"/medical-api/fhir/data-types/expression"},{"title":"HumanName","href":"/medical-api/fhir/data-types/humanname"},{"title":"Identifier","href":"/medical-api/fhir/data-types/identifier"},{"title":"MarketingStatus","href":"/medical-api/fhir/data-types/marketingstatus"},{"title":"Meta","href":"/medical-api/fhir/data-types/meta"},{"title":"Money","href":"/medical-api/fhir/data-types/money"},{"title":"MoneyQuantity","href":"/medical-api/fhir/data-types/moneyquantity"},{"title":"Narrative","href":"/medical-api/fhir/data-types/narrative"},{"title":"ParameterDefinition","href":"/medical-api/fhir/data-types/parameterdefinition"},{"title":"Period","href":"/medical-api/fhir/data-types/period"},{"title":"Population","href":"/medical-api/fhir/data-types/population"},{"title":"ProdCharacteristic","href":"/medical-api/fhir/data-types/prodcharacteristic"},{"title":"ProductShelfLife","href":"/medical-api/fhir/data-types/productshelflife"},{"title":"Quantity","href":"/medical-api/fhir/data-types/quantity"},{"title":"Range","href":"/medical-api/fhir/data-types/range"},{"title":"Ratio","href":"/medical-api/fhir/data-types/ratio"},{"title":"Reference","href":"/medical-api/fhir/data-types/reference"},{"title":"RelatedArtifact","href":"/medical-api/fhir/data-types/relatedartifact"},{"title":"SampledData","href":"/medical-api/fhir/data-types/sampleddata"},{"title":"Signature","href":"/medical-api/fhir/data-types/signature"},{"title":"SimpleQuantity","href":"/medical-api/fhir/data-types/simplequantity"},{"title":"SubstanceAmount","href":"/medical-api/fhir/data-types/substanceamount"},{"title":"Timing","href":"/medical-api/fhir/data-types/timing"},{"title":"TriggerDefinition","href":"/medical-api/fhir/data-types/triggerdefinition"},{"title":"UsageContext","href":"/medical-api/fhir/data-types/usagecontext"}]},{"group":"Resources","icon":"rectangle-list","pages":[{"title":"AllergyIntolerance","href":"/medical-api/fhir/resources/allergyintolerance"},{"title":"Binary","href":"/medical-api/fhir/resources/binary"},{"title":"Bundle","href":"/medical-api/fhir/resources/bundle"},{"title":"CapabilityStatement","href":"/medical-api/fhir/resources/capabilitystatement"},{"title":"CarePlan","href":"/medical-api/fhir/resources/careplan"},{"title":"Communication","href":"/medical-api/fhir/resources/communication"},{"title":"Composition","href":"/medical-api/fhir/resources/composition"},{"title":"Condition","href":"/medical-api/fhir/resources/condition"},{"title":"Consent","href":"/medical-api/fhir/resources/consent"},{"title":"Coverage","href":"/medical-api/fhir/resources/coverage"},{"title":"Device","href":"/medical-api/fhir/resources/device"},{"title":"DiagnosticReport","href":"/medical-api/fhir/resources/diagnosticreport"},{"title":"DocumentReference","href":"/medical-api/fhir/resources/documentreference"},{"title":"Encounter","href":"/medical-api/fhir/resources/encounter"},{"title":"FamilyMemberHistory","href":"/medical-api/fhir/resources/familymemberhistory"},{"title":"Goal","href":"/medical-api/fhir/resources/goal"},{"title":"Immunization","href":"/medical-api/fhir/resources/immunization"},{"title":"Location","href":"/medical-api/fhir/resources/location"},{"title":"Medication","href":"/medical-api/fhir/resources/medication"},{"title":"MedicationAdministration","href":"/medical-api/fhir/resources/medicationadministration"},{"title":"MedicationDispense","href":"/medical-api/fhir/resources/medicationdispense"},{"title":"MedicationRequest","href":"/medical-api/fhir/resources/medicationrequest"},{"title":"MedicationStatement","href":"/medical-api/fhir/resources/medicationstatement"},{"title":"Observation","href":"/medical-api/fhir/resources/observation"},{"title":"OperationOutcome","href":"/medical-api/fhir/resources/operationoutcome"},{"title":"Organization","href":"/medical-api/fhir/resources/organization"},{"title":"Patient","href":"/medical-api/fhir/resources/patient"},{"title":"Practitioner","href":"/medical-api/fhir/resources/practitioner"},{"title":"PractitionerRole","href":"/medical-api/fhir/resources/practitionerrole"},{"title":"Procedure","href":"/medical-api/fhir/resources/procedure"},{"title":"Provenance","href":"/medical-api/fhir/resources/provenance"},{"title":"RelatedPerson","href":"/medical-api/fhir/resources/relatedperson"},{"title":"ServiceRequest","href":"/medical-api/fhir/resources/servicerequest"}]},{"group":"Extensions","icon":"asterisk","pages":[{"title":"Condition Chronicity","href":"/medical-api/fhir/extensions/chronicity"},{"title":"Data Source","href":"/medical-api/fhir/extensions/data-source"}]},{"group":"Coding Systems","icon":"object-group","pages":[{"title":"Overview","href":"/medical-api/fhir/coding-systems/overview"},{"title":"CCSR","href":"/medical-api/fhir/coding-systems/ccsr"}]}]},{"group":"API Tools","pages":[{"title":"OpenAPI","icon":"server","href":"/medical-api/api-tools/open-api"},{"title":"Postman","icon":"user-astronaut","href":"/medical-api/api-tools/postman"},{"title":"Software Development Kit","icon":"toolbox","href":"/medical-api/api-tools/sdk"}]},{"group":"More Info","pages":[{"title":"General Information","icon":"border-all","href":"/medical-api/more-info/general-info"},{"title":"Error Responses","icon":"circle-exclamation","href":"/medical-api/more-info/error-responses"},{"title":"SAML/Enterprise SSO","icon":"key","href":"/medical-api/more-info/sso"},{"title":"User Roles \u0026 Permissions","icon":"users","href":"/medical-api/more-info/user-roles"},{"title":"Avoid mid-air collisions","icon":"hand","href":"/medical-api/more-info/etag"},{"title":"Limits and throttling","icon":"triangle-exclamation","href":"/medical-api/more-info/limits"}]},{"group":"Legacy API Reference","pages":[{"group":"Document Query (Legacy)","icon":"file-circle-exclamation","pages":[{"title":"Start Document Query (Legacy)","api":"POST /medical/v1/document/query","href":"/medical-api/legacy-api-reference/document/start-document-query"},{"title":"Get Document Query Status (Legacy)","api":"GET /medical/v1/document/query","href":"/medical-api/legacy-api-reference/document/get-document-query"}]},{"title":"Receiving Webhooks (Legacy)","icon":"paper-plane","href":"/medical-api/handling-data/webhooks"}]}]},{"tab":"EHR Apps","pages":[{"title":"EHR Apps","href":"/ehr-apps/overview"}]},{"tab":"Converter API","hidden":true,"pages":[{"title":"Converter API","href":"/converter-api/getting-started/quickstart"}]}]},"basePath":"","title":"Start Bulk Get Document URL - Metriport","buildId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","deploymentId":"dpl_G9nrg4qeJSZtah1Ziwbc2n6WkLch","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-B7XKH4J3.js","utils-lOYzL7z-.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-DF6jUUIM.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Dpsj5f7C.js","snippetPresets-CYeiDe8v.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CUFz1YZ_.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D8H_iLS4.js","shallow-DdluZBHX.js","getApiPlaygroundDisplay-B9922vev.js","CodeSnippet-CMoRNGYs.js","CodeSnippets-DwyrPHuw.js","Page-DSVu9Ucl.js","getPastedJson-G-zIvlHh.js","icon-B03fnEy0.js","MethodPill-CW7teklc.js","DuplicateIcon-CtO8eekd.js","createIcon-DZTKdM_A.js","DynamicMarkdown-D5M2At0B.js","SectionHeading-C_2NaA2U.js","axios-vUo_bRtp.js"]}